> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryxlr8.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reporting Citation Metadata



## OpenAPI

````yaml /api-reference/openapi.json post /system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/citation-metadata
openapi: 3.1.0
info:
  title: XLR8 System Reporting API
  description: >-
    Machine-facing experiment and analytics reporting under
    /system-api/v1/reporting/*. Authenticate with Authorization: Bearer <Unkey
    API key>. Access is limited to experiments in configured organization
    allowlists.
  version: 0.1.0
servers:
  - url: https://engine-mono-production.up.railway.app
    description: Production (Railway)
  - url: https://api.tryxlr8.ai
    description: Production (api.tryxlr8.ai)
security: []
paths:
  /system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/citation-metadata:
    post:
      tags:
        - System
      summary: Reporting Citation Metadata
      operationId: >-
        reporting_citation_metadata_system_api_v1_reporting_experiments__experiment_id__executions__execution_id__citation_metadata_post
      parameters:
        - name: experiment_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Experiment Id
        - name: execution_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Execution Id
        - name: models
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Models
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CitationMetadataResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - UnkeyBearer: []
components:
  schemas:
    CitationMetadataResponse:
      properties:
        experiment_id:
          type: string
          format: uuid
          title: Experiment Id
        execution_id:
          type: string
          format: uuid
          title: Execution Id
        citation_metadata:
          items:
            $ref: '#/components/schemas/CitationMetadata'
          type: array
          title: Citation Metadata
      type: object
      required:
        - experiment_id
        - execution_id
        - citation_metadata
      title: CitationMetadataResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CitationMetadata:
      properties:
        category:
          type: string
          title: Category
        query:
          type: string
          title: Query
        response:
          type: string
          title: Response
        citation_url:
          type: string
          title: Citation Url
        model_name:
          $ref: '#/components/schemas/ModelName'
        url_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Url Title
        url_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Url Description
      type: object
      required:
        - category
        - query
        - response
        - citation_url
        - model_name
        - url_title
        - url_description
      title: CitationMetadata
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ModelName:
      type: string
      enum:
        - perplexity
        - sonar
        - sonar-pro
        - gpt-fast-gpt-5.1
        - gpt-thinking-gpt-5.1
        - gpt-fast-gpt-5.3-chat-latest
        - gpt-thinking-gpt-5.4
        - gpt-6-luna
        - gpt-6.1-sol
        - gpt-5.6-sol
        - gpt-5.6-terra
        - gpt-5.6-luna
        - gpt-5.5
        - claude-sonnet-5
        - claude-sonnet-5.5
        - claude-opus-4.8
        - claude-opus-4.7
        - claude-opus-5
        - claude-opus-5.5
        - claude-sonnet-4.6
        - claude-sonnet-4.5
        - grok-4
        - grok-4.20
        - grok-4.3
        - grok-4.5
        - grok-4.6
        - grok-4.7
        - chatgpt
        - chatgpt-cloro
        - microsoft_copilot
        - copilot-cloro
        - google_ai_overview
        - google_ai_mode
        - google_ai_mode-cloro
        - gemini
        - gemini-web
        - gemini-3-flash-preview
        - gemini-3.1-pro-preview
        - gemini-3.1-pro
        - gemini-3.6-flash
        - gemini-3.7-flash
        - gemini-3.5-flash-lite
        - grok
        - claude
        - gpt-fast
        - gpt-thinking
      title: ModelName
  securitySchemes:
    UnkeyBearer:
      type: http
      scheme: bearer
      description: Unkey-issued API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.